Skip to main content
PATCH
Update Document
For AI agents, use https://docs.tavus.io/openapi.yaml for the full HTTP API contract.

Authorizations

x-api-key
string
header
required

Path Parameters

document_id
string
required

The unique identifier of the document to update

Body

application/json
document_name
string

New name for the document

Example:

"Updated Document Name"

tags
string[]

New array of tags for the document. This will overwrite the existing tags for the document.

Example:

Response

Document updated successfully

document_id
string

Unique identifier for the document

Example:

"d8-5c71baca86fc"

document_name
string

Updated name of the document

Example:

"Updated Document Name"

document_url
string

URL of the document

Example:

"https://docs.example.com/"

status
enum<string>

Current status of the document processing. Possible values: started, processing, ready, error, recrawling.

Available options:
started,
processing,
ready,
error,
recrawling
Example:

"ready"

progress
integer | null

Processing progress as a percentage (0-100). Null when processing has not started or is complete.

Example:

null

error_message
string | null

Error code indicating why processing failed. Only present when status is error. Possible values include: file_download_failed, file_format_unsupported, file_size_too_large, file_empty, invalid_file_url, document_processing_failed, website_processing_failed, chunking_failed, embedding_failed, vector_store_failed, contact_support.

created_at
string

ISO 8601 timestamp of when the document was created

Example:

"2024-01-01T12:00:00Z"

updated_at
string

ISO 8601 timestamp of when the document was last updated

Example:

"2024-01-01T13:00:00Z"

callback_url
string

URL that receives status updates

Example:

"https://your-server.com/webhook"

tags
string[]

Updated array of document tags

Example:
crawl_config
object | null

The crawl configuration used for this document (only present for crawled websites)

crawled_urls
string[] | null

List of URLs that were crawled (only present for crawled websites after processing completes)

Example:
last_crawled_at
string | null

ISO 8601 timestamp of when the document was last crawled

Example:

"2024-01-01T12:00:00Z"

crawl_count
integer | null

Number of times the document has been crawled

Example:

1